<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<artifactId>doc-transform-manager</artifactId>
	<packaging>jar</packaging>
	<description>文档转换管理后台服务</description>

    <parent>
        <groupId>com.mortals.xhx</groupId>
        <artifactId>doc-transform-platform</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

	<profiles>
		<profile>
			<id>develop</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<profiles.active>develop</profiles.active>
				<profiles.server.port>18228</profiles.server.port>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://localhost:3306/doc-transform-platform?allowPublicKeyRetrieval=true&useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>12345678</profiles.datasource.password>
				<profiles.redis.uri>127.0.0.1</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password></profiles.redis.password>
				<profiles.redis.database>7</profiles.redis.database>
				<profiles.filepath>E:/mortals/app/data</profiles.filepath>
				<profiles.log.level>DEBUG</profiles.log.level>
				<profiles.log.path>E:/mortals/logs</profiles.log.path>
				<profiles.data.path>E:/mortals/data</profiles.data.path>
				<profiles.nacos.server-addr>127.0.0.1:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
			</properties>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.active>test</profiles.active>
				<profiles.server.port>18228</profiles.server.port>
				<profiles.datasource.uri>
					<![CDATA[jdbc:mysql://192.168.0.98:3306/doc-transform-platform?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Hongkong]]></profiles.datasource.uri>
				<profiles.datasource.username>root</profiles.datasource.username>
				<profiles.datasource.password>nacos@2020</profiles.datasource.password>
				<profiles.redis.uri>192.168.0.252</profiles.redis.uri>
				<profiles.redis.port>6379</profiles.redis.port>
				<profiles.redis.username></profiles.redis.username>
				<profiles.redis.password>hotel@2020</profiles.redis.password>
				<profiles.redis.database>6</profiles.redis.database>
				<profiles.filepath>/mortals/app/data</profiles.filepath>
				<profiles.log.level>INFO</profiles.log.level>
				<profiles.data.path>/data</profiles.data.path>
				<profiles.nacos.server-addr>192.168.0.252:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>smart-gov</profiles.nacos.namespace>
				<profiles.log.path>/mortals/app/logs</profiles.log.path>
			</properties>
		</profile>
		<profile>
			<id>product</id>
			<properties>
				<profiles.active>product</profiles.active>
				<profiles.server.port>17214</profiles.server.port>
				<profiles.queue.type>rabbitmq</profiles.queue.type>
				<profiles.kafka.brokers>192.168.0.100:9092</profiles.kafka.brokers>
				<profiles.rabbitmq.host>192.168.0.100</profiles.rabbitmq.host>
				<profiles.rabbitmq.port>5672</profiles.rabbitmq.port>
				<profiles.nacos.server-addr>192.168.0.100:8848</profiles.nacos.server-addr>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
				<profiles.nacos.namespace>stp</profiles.nacos.namespace>
				<profiles.log.path>/mortals/app/logs</profiles.log.path>
			</properties>
		</profile>
	</profiles>
	
	<properties>
	</properties>

	<dependencies>

		<dependency>
			<groupId>com.mortals.xhx</groupId>
			<artifactId>common-lib</artifactId>
		</dependency>

		<!-- 引入 SpringMVC 相关依赖，并实现对其的自动配置 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>


		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-redis</artifactId>
		</dependency>




		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
			<version>2.5.2</version>
		</dependency>

		<dependency>
			<groupId>org.freemarker</groupId>
			<artifactId>freemarker</artifactId>
			<version>2.3.31</version>
		</dependency>

<!--		<dependency>-->
<!--			<groupId>com.aspose</groupId>-->
<!--			<artifactId>aspose-words</artifactId>-->
<!--			<version>20.1</version>-->
<!--			<classifier>jdk17</classifier>-->
<!--		</dependency>-->

		<dependency>
			<groupId>com.aspose.words</groupId>
			<artifactId>aspose-words</artifactId>
			<version>19.2</version>
			<classifier>jdk16</classifier>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-mock</artifactId>
			<version>2.0.8</version>
		</dependency>

		<dependency>
			<groupId>com.deepoove</groupId>
			<artifactId>poi-tl</artifactId>
			<version>1.12.0</version>
		</dependency>

	</dependencies>


	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.19.1</version>
				<configuration>
					<skipTests>true</skipTests>    <!--默认关掉单元测试 -->
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<jvmArguments>-Dfile.encoding=UTF-8</jvmArguments>
					<outputDirectory>${project.parent.basedir}/dist/${project.parent.artifactId}/boot</outputDirectory>
					<layout>ZIP</layout>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>${java.version}</source>
					<target>${java.version}</target>
					<encoding>${project.build.sourceEncoding}</encoding>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-bin</id>
						<phase>package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<encoding>UTF-8</encoding>
							<outputDirectory>${project.parent.basedir}/dist/${project.parent.artifactId}/bin</outputDirectory>
							<resources>
								<resource>
									<directory>src/main/bin/</directory>
									<filtering>true</filtering>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
